# Deployments

## Store deployment

POST `/stores/chats/{chat_id}/deploy`

This endpoint lets you to deploy a store.

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Project deployed successfully",
    "data": {
        "store": {
            "settings": {
                "allowGuestCheckout": true,
                "requireEmailVerification": false,
                "enableReviews": true,
                "enableWishlist": true,
                "currency": "USD",
                "timezone": "UTC"
            },
            "_id": "69287b932f4c1cf49d6cec6a",
            "products": [],
            "chatId": "DFuCWzOqRKg",
            "googleAuthClientId": null,
            "name": "Nike Shoe Store Creation",
            "isHomePage": false,
            "storeType": "agora",
            "socialShareImage": "https://www.searchagora.com/api/search-image-generator?query=Nike Shoe Store Creation",
            "metaTitle": "Agora Builder | Nike Shoe Store Creation",
            "favicon": "https://www.searchagora.com/favicon.ico",
            "generateSitemap": false,
            "isRemixed": false,
            "metaDescription": "Build an e-commerce store easily with AI. Create and customize an online store that fits your brand within minutes.",
            "isActive": true,
            "isPublished": false,
            "isHomePgae": false,
            "deploymentStatus": "pending",
            "domainVerified": false,
            "viewCount": 0,
            "orderCount": 0,
            "creator": "692560a0f3b17397ede28cae",
            "tags": [],
            "categories": [],
            "installedAppIds": [],
            "theme": "default",
            "createdAt": "2025-11-27T16:25:55.678Z",
            "updatedAt": "2025-11-27T16:26:56.640Z",
            "__v": 0,
            "projectId": "v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-kg",
            "projectUrl": "v0-nike-shoe-store-creation-d-fu-c.vercel.app",
            "storeUrl": "nike-shoe-store-creation-dfucwzoqrkg.agorabuilder.com",
            "subdomainSlug": "nike-shoe-store-creation-dfucwzoqrkg",
            "id": "69287b932f4c1cf49d6cec6a"
        },
        "subdomain": "nike-shoe-store-creation-dfucwzoqrkg.agorabuilder.com",
        "deployment": {
            "id": "dpl_5S1SrLQGxWWy9DAEgjPNEbZSKm3C",
            "object": "deployment",
            "inspectorUrl": "https://vercel.com/agora-store-builder/v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-kg/5S1SrLQGxWWy9DAEgjPNEbZSKm3C",
            "chatId": "DFuCWzOqRKg",
            "projectId": "5HzrqhALtQV",
            "versionId": "AGH2qXcBZAy",
            "apiUrl": "https://api.v0.dev/v1/deployments/dpl_5S1SrLQGxWWy9DAEgjPNEbZSKm3C",
            "webUrl": "https://v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-61j5frqns.vercel.app"
        }
    }
}
```

## Update deployment

PUT `/stores/chats/{chat_id}/deploy`

This endpoint lets you update a store deployment.

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Deployment updated successfully",
    "data": {
        "id": "dpl_8v3ksk6XNF546kE3A5zdjvYewegD",
        "object": "deployment",
        "inspectorUrl": "https://vercel.com/agora-store-builder/v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-kg/8v3ksk6XNF546kE3A5zdjvYewegD",
        "chatId": "DFuCWzOqRKg",
        "projectId": "5HzrqhALtQV",
        "versionId": "AGH2qXcBZAy",
        "apiUrl": "https://api.v0.dev/v1/deployments/dpl_8v3ksk6XNF546kE3A5zdjvYewegD",
        "webUrl": "https://v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-h4armihxh.vercel.app"
    }
}
```

{% endtab %}

{% tab title="404" %}

```json
{
    "success": false,
    "message": "No chat found for this user"
}
```

{% endtab %}
{% endtabs %}

## Delete deployment

PUT `/stores/chats/{chat_id}/deploy`

This endpoint lets you update a store deployment.

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Deployment updated successfully",
    "data": {
        "id": "dpl_8v3ksk6XNF546kE3A5zdjvYewegD",
        "object": "deployment",
        "inspectorUrl": "https://vercel.com/agora-store-builder/v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-kg/8v3ksk6XNF546kE3A5zdjvYewegD",
        "chatId": "DFuCWzOqRKg",
        "projectId": "5HzrqhALtQV",
        "versionId": "AGH2qXcBZAy",
        "apiUrl": "https://api.v0.dev/v1/deployments/dpl_8v3ksk6XNF546kE3A5zdjvYewegD",
        "webUrl": "https://v0-nike-shoe-store-creation-d-fu-c-wz-oq-r-h4armihxh.vercel.app"
    }
}
```

{% endtab %}

{% tab title="404" %}

```json
{
    "success": false,
    "message": "No chat found for this user"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404" %}

```json
{
    "success": false,
    "message": "No chat found for this user"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/store-builder/deployments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
